import Layout from '@/layout'

const businessRouter = {
  path: '/business',
  component: Layout,
  name: 'Business',
  meta: { title: '业务中心', icon: 'el-icon-s-shop' },
  redirect: 'noRedirect',
  children: [
    {
      path: 'place',
      component: () => import('@/views/business/place/index'),
      name: 'BusinessPlace',
      meta: { title: '订座管理', icon: 'el-icon-place' },
      redirect: '/business/place/query',
      children: [
        {
          path: 'create',
          component: () => import('@/views/business/place/create/index'),
          name: 'BusinessPlaceCreate',
          meta: { title: '座位管理' }
        },
        {
          path: 'query',
          component: () => import('@/views/business/place/query/index'),
          name: 'BusinessPlaceQuery',
          meta: { title: '预定' }
        },
        {
          path: 'release',
          component: () => import('@/views/business/place/release/index'),
          name: 'BusinessPlaceRelease',
          meta: { title: '订座安排' }
        }
      ]
    }
  ]
}

export default businessRouter
